Commet
  • Pricing
Log InTry out
Batch create customers POSTCreate customer POSTGet customer GETList customers GETUpdate customer PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

List customers

List customers with cursor-based pagination.

Get customer GET

Retrieve a customer by their public ID, including subscription status and metadata.

Update customer PUT

Update a customer's name, external ID, or metadata.

GET
/customers

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

externalId?string
isActive?boolean
limit?integer
cursor?string

Response Body

application/json

curl -X GET "https://commet.co/api/customers"

application/json

List customers with cursor-based pagination.

Filter by active status

Max 100, default 25

{
  "success": true,
  "data": [
    {
      "id": "string",
      "externalId": "string",
      "fullName": "string",
      "billingEmail": "string",
      "timezone": "string",
      "metadata": {
        "property1": null,
        "property2"








{
  "success": false,
  "code": "string",
  "message": "string",
  "details": null
}
:
null
},
"isActive": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"hasMore": true,
"nextCursor": "string"
}